<?php
require "db.php";
require "psw.php";

if (isset($_SESSION['captcha'])) {
	$captcha = $_SESSION['captcha'];
}
else {
	session_start();

	function generateRandomString($length = 7) {
		return substr(str_shuffle(str_repeat($x='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', ceil($length/strlen($x)) )),1,$length);
	}

	$captcha = generateRandomString();

	$_SESSION['captcha'] = $captcha;

}

if (isset($_SESSION['logged_user'])) {
	$user = R::findOne('users', 'login = ?', array($_SESSION["logged_user"]->login));
	$_SESSION["logged_user"]->balance = $user->balance;
}

$data = $_POST;

if (isset($data['do_login'])) {

	$errors = array();

	if (trim($data['captcha_check']) != $captcha) {
		function generateRandomString($length = 7) {
			return substr(str_shuffle(str_repeat($x='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', ceil($length/strlen($x)) )),1,$length);
		}

		$captcha = generateRandomString();

		$_SESSION['captcha'] = $captcha;
		exit ('Введите верную капчу!');
	}

	else if (trim($data['captcha_check']) == '') {
		function generateRandomString($length = 7) {
			return substr(str_shuffle(str_repeat($x='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', ceil($length/strlen($x)) )),1,$length);
		}

		$captcha = generateRandomString();

		$_SESSION['captcha'] = $captcha;
		exit ('Введите капчу!');
	}

	else {
		if (trim($data['login']) == '') {
			$errors[] = 'Введите логин!';
		}
		if (trim($data['password']) == '') {
			$errors[] = 'Введите пароль!';
		}
		if (! empty($errors)) {
			$specificerror = array_shift($errors);
		}
		else {
			$user = R::findOne('users', 'login = ?', array($data['login']));
			if ($user) {
				if (password_verify($data['password'], $user->password)) {
					// Прошёл проверку, логиним
					$_SESSION['logged_user'] = $user;
					echo "Вы авторизованы!";
					header("Location: index.php");
				}
				else {
					$errors[] = 'Неправильный пароль!';
				}
			}
			else {
				$errors[] = 'Пользователь не существует!';
			}
			if (! empty($errors)) {
				$specificerror = array_shift($errors);
			}
		}
	}
}

// Обработчик 1 лотереи
if (isset($data['loto1'])) {
	header("Location: loto1.php");
}

// Обработчик 2 лотереи
if (isset($data['loto2'])) {
	header("Location: loto2.php");
}

// Обработчик 3 лотереи
if (isset($data['loto3'])) {
	header("Location: loto3.php");
}

// Обработчик 4 лотереи
if (isset($data['loto4'])) {
	header("Location: loto4.php");
}

// Обработчик 5 лотереи
if (isset($data['loto5'])) {
	header("Location: loto5.php");
}

// Обработчик 6 лотереи
if (isset($data['loto6'])) {
	header("Location: loto6.php");
}


?>
<?php if (isset($_SESSION['logged_user'])) : ?>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Lototo - быстрые ставки</title>

		<link href="css/bootstrap.css" rel="stylesheet">
		<link href="css/login.css" rel="stylesheet">
		<link rel="stylesheet" href="css/hover.css">
		<link href="https://fonts.googleapis.com/css?family=Comfortaa" rel="stylesheet">
	</head>
	<body>
		<nav class="navbar navbar-default navbar-fixed-top">
	        <div class="navbar-header">
	          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
	            <span class="sr-only">Toggle navigation</span>
	            <span class="icon-bar"></span>
	            <span class="icon-bar"></span>
	            <span class="icon-bar"></span>
	          </button>
	          <a class="navbar-brand" href="index.php">Lototo <i class="glyphicon glyphicon-chevron-right" style="margin-top:-5px;"></i></a>
	        </div>
	        <div id="navbar" class="navbar-collapse collapse">
	          <ul class="nav navbar-nav">
	            <li><a href="index.php">Главная</a></li>
	            <li><a href="https://vk.com/lototoclub">Группа вк</a></li>
	            <li><a href="logout.php">Выйти</a></li>
	          </ul>
	          <ul class="nav navbar-nav navbar-right">
				<li><a href="index.php" class="nickname"><?=$_SESSION["logged_user"]->login?></a></li>
				<li><a href="index.php" class="balance"><?=$_SESSION["logged_user"]->balance?> <i class="glyphicon glyphicon-ruble"></i></a></li>
	            <li><a href="add.php" class="add"><format style="color:#71ea3a;">+</format> Пополнение</a></li>
	            <li><a href="take.php" class="take"><format style="color:#e8471b;">-</format> Вывод</a></li>
	          </ul>
	        </div>
	    </nav>
		<div class="live">
			<div class="livetext">
				Live
			</div>
			<div class="elements">
			<?php
			$f = fopen("lotoall.txt", "r");
			echo "<div class='numberCircle1'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			echo "<div class='numberCircle'>".fgets($f)."</div>";
			?>
			</div>
		</div>
		<style>
		/* The Modal (background) */
		.modal {
		    display: none; /* Hidden by default */
		    position: fixed; /* Stay in place */
		    z-index: 1; /* Sit on top */
		    padding-top: 100px; /* Location of the box */
		    left: 0;
		    top: 0;
		    width: 100%; /* Full width */
		    height: 100%; /* Full height */
		    overflow: auto; /* Enable scroll if needed */
		    background-color: rgb(0,0,0); /* Fallback color */
		    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
		}

		/* Modal Content */
		.modal-content {
		    background-color: #fefefe;
		    margin: auto;
		    padding: 20px;
		    border: 1px solid #888;
		    width: 80%;
		}

		/* The Close Button */
		.close {
		    color: #aaaaaa;
		    float: right;
		    font-size: 28px;
		    font-weight: bold;
		}

		.close:hover,
		.close:focus {
		    color: #000;
		    text-decoration: none;
		    cursor: pointer;
		}
		</style>
		</head>
		<body>

		<!-- The Modal -->
		<div id="myModal" class="modal">

		  <!-- Modal content -->
		  <div class="modal-content">
		    <span class="close">&times;</span>
		    <p><b style="font-size:30px;">Внимание!</b><br>В нашей <a href="https://vk.com/lototoclub" style="color:blue;text-decoration:underline;" target="_blank">группе ВК</a> переодически появляются коды, содержащие деньги! vk.com/lototoclub<br><br><br><img src="http://missmedia.ru/img_lib/2015/09/1442329885_5446.jpg" /></p>
		  </div>

		</div>

		<script>
		// Get the modal
		var modal = document.getElementById('myModal');

		// Get the button that opens the modal
		var btn = document.getElementById("myBtn");

		// Get the <span> element that closes the modal
		var span = document.getElementsByClassName("close")[0];

		// When the user clicks the button, open the modal
		    modal.style.display = "block";

		// When the user clicks on <span> (x), close the modal
		span.onclick = function() {
		    modal.style.display = "none";
		}

		// When the user clicks anywhere outside of the modal, close it
		window.onclick = function(event) {
		    if (event.target == modal) {
		        modal.style.display = "none";
		    }
		}
		</script>
		<div class="ticketshape hvr-bounce-to-bottom">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto1.png" alt="Лотерейка 1" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 0 до 3 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto1.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">1 р</format></a>
			</p>
		</div>

		<div class="ticketshape hvr-bounce-to-bottom" style="margin-left:5%;">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto2.png" alt="Лотерейка 2" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 2 до 10 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto2.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">5 р</format></a>
			</p>
		</div>

		<div class="ticketshape hvr-bounce-to-bottom" style="margin-left:5%;">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto3.png" alt="Лотерейка 3" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 10 до 50 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto3.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">15 р</format></a>
			</p>
		</div>

		<br>

		<div class="ticketshape hvr-bounce-to-bottom">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto4.png" alt="Лотерейка 4" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 25 до 100 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto4.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">40 р</format></a>
			</p>
		</div>

		<div class="ticketshape hvr-bounce-to-bottom" style="margin-left:5%;">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto5.png" alt="Лотерейка 5" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 50 до 250 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto5.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">100 р</format></a>
			</p>
		</div>

		<div class="ticketshape hvr-bounce-to-bottom" style="margin-left:5%;">
			<p>
				<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
				<img src="img/loto6.png" alt="Лотерейка 6" width="200px" class="hvr-wobble-bottom"><br>
				<h5 class="takeit">Получи от 150 до 1500 <i class="glyphicon glyphicon-ruble"></i></h5><br>
				<a href="loto6.php" class="loto hvr-grow-rotate" style="padding:14px;">Играть <format style="color:#71ea3a;">500 р</format></a>
			</p>
		</div>
<br><br>
		<script id="_waumn8">var _wau = _wau || []; _wau.push(["small", "4n3rm421hd80", "mn8"]);
		(function() {var s=document.createElement("script"); s.async=true;
		s.src="//widgets.amung.us/small.js";
		document.getElementsByTagName("head")[0].appendChild(s);
		})();</script>

		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
	</body>
</html>
<?php else : ?>
			<html lang="en">
			  <head>
				<meta charset="utf-8">
				<meta http-equiv="X-UA-Compatible" content="IE=edge">
				<meta name="viewport" content="width=device-width, initial-scale=1">
				<meta name="description" content="Открой лотерейки прямо сейчас! Тебя ждёт бонус на открытие 4-х лотерей!">
				<meta name="keywords" content="Кейсы, Кейсы с деньгами, кейсы, кейсы с деньгами, лотереи, лотереи с деньгами, lototo, lototo.club, лотото, клуб лотото, лотото.клуб, лотото клуб, лотото точка клуб, клуб лото, бесплатные кейсы с деньгами, кейсы сайт, сайт с кейсами, сайт с денежными кейсами, денежные кейсы, бесплатные денежные кейсы, рулетка с деньгами, ставки, казино кейсы, открыть кейс, кейс открыть, кейсы с деньгами с бонусом, открыть кейс с деньгами бесплатно, открыть кейс с
				деньгами, открытие кейсов, открытие денежных кейсов, денежные кейсы открытие, кейсы с деньгами открытие, денежные яйца, бесплатные денежные яйца, яйца с деньгами сайт, яйца с деньгами бесплатно, яйца с деньгами открыть бесплатно, Duble-Money, 3cash, zedrop, cashtop, opcash, открытие кейсов, призовые, даблы, кейсы, дропы, кейсы, открывай и выигрывай, кейсы на деньги, деньги, opcash кейсы, op cash, luxe cash, lucky cash, luck cash, 4cash, cash, moneyarea, spincoin, лаки кэш, оп кэш, 4кэш, кэш, кейсы, бесплатные кейсы, кейсы с деньгами, денежные кейсы, реальные кейсы, кейсы с реальными деньгами, реальные кейсы с деньгами, денежные кейсы бесплатно, Заработок на яицах, вложения, заработать, заработать на яицах, online-ogorod, rich-money.biz, rich-money, online-ogorod.ru, online-ogorod.com, заработать рубль, бесплатные игры, бесплатные ключи стим, стим ключи, генератор ключей стим, стим генератор, стим генератор ключей, money cases, money case, money cash, case money, онлайн кейсы">
			 	<meta name="author" content="car1ot">
				<title>Lototo - быстрые ставки</title>

				<link href="css/bootstrap.css" rel="stylesheet">
				<link href="css/login.css" rel="stylesheet">
				<link href="https://fonts.googleapis.com/css?family=Comfortaa" rel="stylesheet">
			  </head>
			  <body>
		  		<center>
		  			<div class="shape">
		  				<p>

							<?php if (! empty($errors)) { echo "<div class='error'>".$specificerror."</div>"; } ?></h1>
		  					<h1>Добро пожаловать!</h1><br><br>
		  					<form action="index.php" method="POST">
		  						<p>
		  							<input type="text" name="login" value="<?php echo @$data['login'] ?>" placeholder="Логин">
		  						</p>

		  						<p>
		  							<input type="password" name="password" value="<?php echo @$data['password'] ?>" placeholder="Пароль">
		  						</p>
<br>
								<p>
									<input type="text" name="captcha_check" value="" placeholder="Код с картинки" maxlength="7">
								</p>
<br>
								<p>
									<img src="http://via.placeholder.com/300x200/ffffff/?text=<?php echo $captcha; ?>" alt="Капча" width="200px" height="100px">
								</p>

		  						<p>
		  							<button type="submit" name="do_login" class="login">Войти</button>
		  						</p>

		  						<p>
		  							<a href="signup.php">Создать аккаунт</a>
		  						</p>
		  					</form>
		  				</p>
		  			</div>
		  		</center>
		  	  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
		  	  <script src="js/bootstrap.min.js"></script>
		  	</body>
			</html>
<?php endif; ?>
